[arch-commits] Commit in zsh/trunk (PKGBUILD zsh.install)

Pierre Schmitz pierre at nymeria.archlinux.org
Thu May 30 05:29:34 EDT 2013


    Date: Thursday, May 30, 2013 @ 11:29:34
  Author: pierre
Revision: 186625

Move zsh to /usr/bin

* update source URL
* remove broken info pages
* remove old initscripts related adjustments

Modified:
  zsh/trunk/PKGBUILD
  zsh/trunk/zsh.install

-------------+
 PKGBUILD    |   15 ++++-----------
 zsh.install |   15 ++-------------
 2 files changed, 6 insertions(+), 24 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2013-05-30 07:49:49 UTC (rev 186624)
+++ PKGBUILD	2013-05-30 09:29:34 UTC (rev 186625)
@@ -3,7 +3,7 @@
 
 pkgname=zsh
 pkgver=5.0.2
-pkgrel=1
+pkgrel=2
 pkgdesc='A very advanced and programmable command interpreter (shell) for UNIX'
 arch=('i686' 'x86_64')
 url='http://www.zsh.org/'
@@ -11,7 +11,7 @@
 depends=('pcre' 'libcap' 'gdbm')
 backup=('etc/zsh/zprofile')
 install=zsh.install
-source=("ftp://ftp.zsh.org/pub/${pkgname}-${pkgver}.tar.bz2"
+source=("http://downloads.sourceforge.net/${pkgname}/${pkgname}-${pkgver}.tar.bz2"
         'zprofile')
 md5sums=('b8f2ad691acf58b3252225746480dcad'
          '24a9335edf77252a7b5f52e079f7aef7')
@@ -19,12 +19,6 @@
 build() {
 	cd "${srcdir}/${pkgname}-${pkgver}"
 
-	# FS#16360
-	sed -i 's/init.d/rc.d/g' Doc/Zsh/compsys.yo \
-				 Doc/zsh.texi \
-				 Completion/Unix/Type/_services \
-				 Completion/Unix/Command/_init_d
-
 	# Set correct keymap path
 	sed -i 's#/usr/share/keymaps#/usr/share/kbd/keymaps#g' Completion/Unix/Command/_loadkeys
 
@@ -34,7 +28,6 @@
 	rm -f  Completion/Unix/Command/_osc
 
 	./configure --prefix=/usr \
-		--bindir=/bin \
 		--enable-etcdir=/etc/zsh \
 		--enable-zshenv=/etc/zsh/zshenv \
 		--enable-zlogin=/etc/zsh/zlogin \
@@ -51,7 +44,7 @@
 		--enable-pcre \
 		--enable-cap \
 		--enable-zsh-secure-free
-	make all info
+	make
 }
 
 check() {
@@ -61,7 +54,7 @@
 
 package() {
 	cd "${srcdir}/${pkgname}-${pkgver}"
-	make DESTDIR="${pkgdir}/" install install.info
+	make DESTDIR="${pkgdir}/" install
 	install -D -m644 "${srcdir}/zprofile" "${pkgdir}/etc/zsh/zprofile"
 	install -D -m644 LICENCE "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
 }

Modified: zsh.install
===================================================================
--- zsh.install	2013-05-30 07:49:49 UTC (rev 186624)
+++ zsh.install	2013-05-30 09:29:34 UTC (rev 186625)
@@ -1,12 +1,5 @@
-infodir=usr/share/info
-filelist=(zsh.info zsh.info-1 zsh.info-2 zsh.info-3 zsh.info-4 zsh.info-5 zsh.info-6)
-
 post_install() {
-	grep -q '/bin/zsh' etc/shells || echo '/bin/zsh' >> etc/shells
-	[ -x usr/bin/install-info ] || return 0
-	for file in ${filelist[@]}; do
-	    install-info $infodir/$file.gz $infodir/dir 2> /dev/null
-	done
+	grep -q '/usr/bin/zsh' etc/shells || echo '/usr/bin/zsh' >> etc/shells
 }
 
 post_upgrade() {
@@ -14,9 +7,5 @@
 }
 
 pre_remove() {
-	sed -i '/^\/bin\/zsh/d' etc/shells
-	[ -x usr/bin/install-info ] || return 0
-	for file in ${filelist[@]}; do
-	    install-info --delete $infodir/$file.gz $infodir/dir 2> /dev/null
-	done
+	sed -i -r '/^(\/usr)?\/bin\/zsh$/d' etc/shells
 }



More information about the arch-commits mailing list